org.mariadb.jdbc.internal.com.send.authentication

## Class SendPamAuthPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.authentication.SendPamAuthPacket

All Implemented Interfaces:
  AuthenticationPlugin

    public class SendPamAuthPacket
    extends Object
    implements AuthenticationPlugin

### Nested Class Summary

Nested Classes
`class` `SendPamAuthPacket.RequestFocusListener` Force focus to input field.

### Constructor Summary

Constructors
Constructor and Description
`SendPamAuthPacket(String password, byte[] authData, String passwordCharacterEncoding)` Pam plugin contrusctor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Buffer` `process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)` Process PAM plugin authentication.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendPamAuthPacket

    public SendPamAuthPacket(String password,
                             byte[] authData,
                             String passwordCharacterEncoding)

Pam plugin contrusctor.

Parameters:
  `password` - password
  `authData` - authentication data
  `passwordCharacterEncoding` - password encoding option

### Method Detail

#### process

    public Buffer process(PacketOutputStream out,
                          PacketInputStream in,
                          AtomicInteger sequence)
                   throws IOException,
                          SQLException

Process PAM plugin authentication. see https://mariadb.com/kb/en/library/authentication-plugin-pam/

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `sequence` - packet sequence
Returns:
  response packet
Throws:
  `IOException` - if socket error
  `SQLException` - if plugin exception